#include <iostream>
#include <string>

using namespace std;

int f(int a)
{
    int s = 0;
    if(a>=5)
    {
        a-=5;
        s++;
    }
    if(a>=2)
    {
        a-=2;
        s++;
    }
    if(a>=2)
    {
        a-=2;
        s++;
    }
    if(a>=1)
    {
        a--;
        s++;
    }
    return s;
}

int main()
{
    string s;
    cin >> s;
    int a,n=s.length(),r=0;
    for(int i=0; i<n; i++)
    {
        a = s[i] - 48;
        r += f(a);
    }
    cout << r;
    return 0;
}